Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.query
Interface RationalClauseType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  RationalClauseTypeImpl

    public interface RationalClauseType

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Rational Clause Type'.

The following features are supported:

- `Int Clause`
- `Float Clause`
- `Date Time Clause`
- `Logical Predicate`

See Also:
  `QueryPackage.getRationalClauseType()`

Method Summary
`java.lang.Object` | `getDateTimeClause()` Returns the value of the 'Date Time Clause' attribute.
`float` | `getFloatClause()` Returns the value of the 'Float Clause' attribute.
`java.math.BigInteger` | `getIntClause()` Returns the value of the 'Int Clause' attribute.
`LogicalPredicateType` | `getLogicalPredicate()` Returns the value of the 'Logical Predicate' attribute.
`boolean` | `isSetFloatClause()` Returns whether the value of the '`Float Clause`' attribute is set.
`boolean` | `isSetLogicalPredicate()` Returns whether the value of the '`Logical Predicate`' attribute is set.
`void` | `setDateTimeClause(java.lang.Object value)` Sets the value of the '`Date Time Clause`' attribute.
`void` | `setFloatClause(float value)` Sets the value of the '`Float Clause`' attribute.
`void` | `setIntClause(java.math.BigInteger value)` Sets the value of the '`Int Clause`' attribute.
`void` | `setLogicalPredicate(LogicalPredicateType value)` Sets the value of the '`Logical Predicate`' attribute.
`void` | `unsetFloatClause()` Unsets the value of the '`Float Clause`' attribute.
`void` | `unsetLogicalPredicate()` Unsets the value of the '`Logical Predicate`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getIntClause

    java.math.BigInteger getIntClause()

  Returns the value of the 'Int Clause' attribute.

  If the meaning of the 'Int Clause' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Int Clause' attribute.
  See Also:
    `setIntClause(BigInteger)`, `QueryPackage.getRationalClauseType_IntClause()`

### setIntClause

    void setIntClause(java.math.BigInteger value)

  Sets the value of the '`Int Clause`' attribute.

  Parameters:
    `value` - the new value of the 'Int Clause' attribute.
  See Also:
    `getIntClause()`

### getFloatClause

    float getFloatClause()

  Returns the value of the 'Float Clause' attribute.

  If the meaning of the 'Float Clause' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Float Clause' attribute.
  See Also:
    `isSetFloatClause()`, `unsetFloatClause()`, `setFloatClause(float)`, `QueryPackage.getRationalClauseType_FloatClause()`

### setFloatClause

    void setFloatClause(float value)

  Sets the value of the '`Float Clause`' attribute.

  Parameters:
    `value` - the new value of the 'Float Clause' attribute.
  See Also:
    `isSetFloatClause()`, `unsetFloatClause()`, `getFloatClause()`

### unsetFloatClause

    void unsetFloatClause()

  Unsets the value of the '`Float Clause`' attribute.

  See Also:
    `isSetFloatClause()`, `getFloatClause()`, `setFloatClause(float)`

### isSetFloatClause

    boolean isSetFloatClause()

  Returns whether the value of the '`Float Clause`' attribute is set.

  Returns:
    whether the value of the 'Float Clause' attribute is set.
  See Also:
    `unsetFloatClause()`, `getFloatClause()`, `setFloatClause(float)`

### getDateTimeClause

    java.lang.Object getDateTimeClause()

  Returns the value of the 'Date Time Clause' attribute.

  If the meaning of the 'Date Time Clause' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Date Time Clause' attribute.
  See Also:
    `setDateTimeClause(Object)`, `QueryPackage.getRationalClauseType_DateTimeClause()`

### setDateTimeClause

    void setDateTimeClause(java.lang.Object value)

  Sets the value of the '`Date Time Clause`' attribute.

  Parameters:
    `value` - the new value of the 'Date Time Clause' attribute.
  See Also:
    `getDateTimeClause()`

### getLogicalPredicate

    LogicalPredicateType getLogicalPredicate()

  Returns the value of the 'Logical Predicate' attribute. The default value is `"LE"`. The literals are from the enumeration `LogicalPredicateType`.

  If the meaning of the 'Logical Predicate' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Logical Predicate' attribute.
  See Also:
    `LogicalPredicateType`, `isSetLogicalPredicate()`, `unsetLogicalPredicate()`, `setLogicalPredicate(LogicalPredicateType)`, `QueryPackage.getRationalClauseType_LogicalPredicate()`

### setLogicalPredicate

    void setLogicalPredicate(LogicalPredicateType value)

  Sets the value of the '`Logical Predicate`' attribute.

  Parameters:
    `value` - the new value of the 'Logical Predicate' attribute.
  See Also:
    `LogicalPredicateType`, `isSetLogicalPredicate()`, `unsetLogicalPredicate()`, `getLogicalPredicate()`

### unsetLogicalPredicate

    void unsetLogicalPredicate()

  Unsets the value of the '`Logical Predicate`' attribute.

  See Also:
    `isSetLogicalPredicate()`, `getLogicalPredicate()`, `setLogicalPredicate(LogicalPredicateType)`

### isSetLogicalPredicate

    boolean isSetLogicalPredicate()

  Returns whether the value of the '`Logical Predicate`' attribute is set.

  Returns:
    whether the value of the 'Logical Predicate' attribute is set.
  See Also:
    `unsetLogicalPredicate()`, `getLogicalPredicate()`, `setLogicalPredicate(LogicalPredicateType)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD